Subject: [Dime] Load Considerations

From: Ben Campbell <[email-masked]>
Date: Tue, 28 Oct 2014 16:43:14 -0500

Hi,

Early in the DOIC work, we decided to defer the "load" (not "overload") related requirements from RFC 7068 until later. Since it looks like the core DOIC draft is starting to stabilize, we should start thinking about load conveyance soon. I put together a draft discussing several high level architectural considerations that the working group will need to consider in any "load conveyance" solution.

This is _not_ a solution proposal. But I hope it will spur discussion that can lead to a proposal down the line.

Thanks!

Ben.

> Begin forwarded message:
> 
> From: [email-masked]
> To: Ben Campbell <[email-masked]>, "Ben Campbell" <[email-masked]>
> Subject: New Version Notification for draft-campbell-dime-load-considerations-00.txt
> Date: October 25, 2014 at 5:44:31 PM CDT
> 
> 
> A new version of I-D, draft-campbell-dime-load-considerations-00.txt
> has been successfully submitted by Ben Campbell and posted to the
> IETF repository.
> 
> Name:		draft-campbell-dime-load-considerations
> Revision:	00
> Title:		Architectural Considerations for Diameter Load Information
> Document date:	2014-10-25
> Group:		Individual Submission
> Pages:		9
> URL:            http://www.ietf.org/internet-drafts/draft-campbell-dime-load-considerations-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-campbell-dime-load-considerations/
> Htmlized:       http://tools.ietf.org/html/draft-campbell-dime-load-considerations-00
> 
> 
> Abstract:
>   RFC 7068 describes requirements for Overload Control in Diameter.
>   This includes a requirement to allow Diameter nodes to send "load"
>   information, even when the node is not overloaded.  The Diameter
>   Overload Information Conveyance (DOIC) solution describes a mechanism
>   meeting most of the requirements, but does not currently include the
>   ability to send load.  This document explores some architectural
>   considerations for a mechanism to send load information.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>